about summary refs log tree commit diff
path: root/tests/lang.sh
diff options
context:
space:
mode:
authorEelco Dolstra <e.dolstra@tudelft.nl>2004-10-27T13·12+0000
committerEelco Dolstra <e.dolstra@tudelft.nl>2004-10-27T13·12+0000
commited09821859e8e585c8479a3c3bf95e76d518d66f (patch)
treef7c4d452439733183c354494f7b6d69e5bf4e599 /tests/lang.sh
parent3277c9432ab718c8b80c54b228f8d5fbf94fb033 (diff)
* Use `atdiff' instead of `cmp' for checking test output.
* Don't use local file names in tests since they will produce
  different parse trees depending on the current directory.

Diffstat (limited to 'tests/lang.sh')
-rw-r--r--tests/lang.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/lang.sh b/tests/lang.sh
index 55aaa46f37..bbdb3fb8a9 100644
--- a/tests/lang.sh
+++ b/tests/lang.sh
@@ -16,7 +16,7 @@ for i in lang/parse-okay-*.nix; do
         echo "FAIL: $i should parse"
         fail=1
     fi
-    if ! cmp lang/$i.ast lang/$i.exp; then
+    if ! $aterm_bin/atdiff lang/$i.ast lang/$i.exp; then
         echo "FAIL: parse tree of $i not as expected"
         fail=1
     fi
@@ -38,7 +38,7 @@ for i in lang/eval-okay-*.nix; do
         echo "FAIL: $i should evaluate"
         fail=1
     fi
-    if ! cmp lang/$i.out lang/$i.exp; then
+    if ! $aterm_bin/atdiff lang/$i.out lang/$i.exp; then
         echo "FAIL: evaluation result of $i not as expected"
         fail=1
     fi